> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gptproto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Runwayml-Gen3a_turbo-5 - Act Two Emotion Migration

> Runwayml-Gen3a_turbo-5 — Act Two Emotion Migration. GPTProto API reference.

Runway's act two emotion migration.mdx for the act two emotion migration API.

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST "https://gptproto.com/runway/v1/pro/act_two" \
    -H "Authorization: YOUR_API_KEY" \
    -H "Content-Type: application/json" \
    -d '{
    "video": "http://source.wike.cc/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4",
    "image": "http://source.wike.cc/1.jpeg",
    "options": {
      "expression_intensity": 3,
      "flip": true
    }
  }'
  ```

  ```python Python theme={null}
  import requests
  import json

  url = "https://gptproto.com/runway/v1/pro/act_two"
  headers = {
      "Authorization": "YOUR_API_KEY",
      "Content-Type": "application/json"
  }

  data = {
    "video": "http://source.wike.cc/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4",
    "image": "http://source.wike.cc/1.jpeg",
    "options": {
      "expression_intensity": 3,
      "flip": true
    }
  }

  response = requests.post(url, headers=headers, json=data)
  result = response.json()
  print(json.dumps(result, indent=2))
  ```

  ```javascript JavaScript theme={null}
  const url = "https://gptproto.com/runway/v1/pro/act_two";
  const headers = {
    "Authorization": "YOUR_API_KEY",
    "Content-Type": "application/json"
  };

  const data = {
    "video": "http://source.wike.cc/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4",
    "image": "http://source.wike.cc/1.jpeg",
    "options": {
      "expression_intensity": 3,
      "flip": true
    }
  };

  fetch(url, {
    method: "POST",
    headers: headers,
    body: JSON.stringify(data)
  })
    .then(response => response.json())
    .then(data => console.log(data))
    .catch(error => console.error("Error:", error));
  ```

  ```go Go theme={null}
  package main

  import (
      "bytes"
      "encoding/json"
      "fmt"
      "io/ioutil"
      "net/http"
  )

  func main() {
      url := "https://gptproto.com/runway/v1/pro/act_two"

      payload := []byte(`{
  "video": "http://source.wike.cc/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4",
  "image": "http://source.wike.cc/1.jpeg",
  "options": {
  "expression_intensity": 3,
  "flip": true
  }
  }`)

      req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
      req.Header.Set("Authorization", "YOUR_API_KEY")
      req.Header.Set("Content-Type", "application/json")

      client := &http.Client{}
      resp, err := client.Do(req)
      if err != nil {
          panic(err)
      }
      defer resp.Body.Close()

      body, _ := ioutil.ReadAll(resp.Body)
      fmt.Println(string(body))
  }
  ```
</CodeGroup>

<CodeGroup>
  ```json 401 - Invalid signature theme={null}
  {
    "error": {
      "message": "Invalid signature",
      "type": "401"
    }
  }
  ```

  ```json 403 - Insufficient balance theme={null}
  {
    "error": {
      "message": "Insufficient balance",
      "type": "403"
    }
  }
  ```

  ```json 500 - Internal server error theme={null}
  {
    "error": {
      "message": "Internal server error",
      "type": "500"
    }
  }
  ```

  ```json 503 - Content policy violation theme={null}
  {
    "error": {
      "message": "Input may not meet the guidelines. Please adjust and try again.",
      "type": "503"
    }
  }
  ```
</CodeGroup>

## Parameters

| Parameter | Type   | Required | Default                                                                                        | Description       |
| --------- | ------ | -------- | ---------------------------------------------------------------------------------------------- | ----------------- |
| `video`   | string | ❌ No     | `http://source.wike.cc/attachments/video/runway/20241015/82bc23c83b5c32e75059c8328df5cffb.mp4` | Video parameter   |
| `image`   | string | ❌ No     | `http://source.wike.cc/1.jpeg`                                                                 | Image parameter   |
| `options` | object | ❌ No     | `{&quot;expression_intensity&quot;: 3, &quot;flip&quot;: true}`                                | Options parameter |
